Summary: aims2 Client
Name: aims2client
Version: 2
Release: 3.3.cern
Group: System Environment/Base
License: GPL
URL: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2
Packager: Jaroslaw.Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Buildroot: /tmp/%{name}-root
Source0: %{name}-%{version}.cern.tgz
BuildArch: noarch
BuildRequires: perl, perl-SOAP-Lite >= 0.7, perl-Authen-Krb5 >= 1.5, perl-Net-DNS => 0.48
Requires: perl-SOAP-Lite >= 0.7, perl-Authen-Krb5 >= 1.5, perl-Net-DNS => 0.48

%description
Client-side software for using the aims2 remote installations service.
See: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2
for more information.

%prep
%setup -c

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 -o root -g root aims2client $RPM_BUILD_ROOT/%{_bindir}
cd $RPM_BUILD_ROOT/%{_bindir}
ln -sf aims2client aims2
cd -
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 aims2client.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
cd $RPM_BUILD_ROOT/%{_mandir}/man1/
ln -sf aims2client.1.gz aims2.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/aims2client
%{_bindir}/aims2
%doc README
%{_mandir}/man1/aims2client.1.gz
%{_mandir}/man1/aims2.1.gz

%changelog
* Tue Nov 25 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- reformatted output of showhost|showimg commands.
* Tue Oct 07 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added runtime dependencies
* Mon Sep 01 2008 Daniel Dengate
- initial build
